<html><head></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; " class=""><br class=""><div><div class="">On 27.10.2009, at 11:08, karl ramberg wrote:</div><br class="Apple-interchange-newline"><blockquote type="cite"><br class=""><br class=""><div class="gmail_quote">On Tue, Oct 27, 2009 at 3:59 PM, Bert Freudenberg <span dir="ltr" class="">&lt;<a href="mailto:bert@freudenbergs.de" class="">bert@freudenbergs.de</a>&gt;</span> wrote:<br class=""><blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
<div class="im">On 27.10.2009, at 03:50, Hilaire Fernandes wrote:<br class="">
<br class="">
<blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
I am hesitating a lot in spending a couple of hours to install on<br class="">
several XO laptops something that may be not reliable (hacker level),<br class="">
and which my students will reject instantaneously (non hacker level,<br class="">
zero level of tolerance toward non reliable system), and which prevent<br class="">
any potential pedagogical actions (not even there as there are many<br class="">
boring technical pb to fix or overcome technical limitation, bad, bad<br class="">
)<br class="">
</blockquote>
<br class=""></div>
Hesitating is healthy. You need to judge whether the benefits (improvements in a newer version) outweigh the risks (possibility of breakage). I'm pretty sure it will work fine, but ultimately we release this under a license that says<br class="">

<br class="">
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED<div class="im"><br class="">
<br class="">
<blockquote style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;" class="gmail_quote">
Is the update path you suggested reliable?<br class="">
</blockquote>
<br class=""></div>
No. These OS updates are under development. The latest stable release by OLPC is still 8.2.1.<br class="">
<br class="">
Regarding your original subject line, there is *nothing* I know that would prevent the latest Etoys to work with the latest Sugar. The latest Etoys also works with the old Sugar as already installed on the XOs.<br class="">
<br class="">
But you would have to upgrade Etoys yourself, same procedure as ever:<br class="">
<br class="">
 &nbsp; &nbsp; &nbsp; &nbsp;<a href="http://etoys.laptop.org/" target="_blank" class="">http://etoys.laptop.org/</a><br class=""><font color="#888888" class="">
<br class="">
</font></blockquote><div class=""><br class="">This page is quite invisible.</div></div></blockquote><div><br class=""></div><div>Rightly so.</div><br class=""><blockquote type="cite"><div class="gmail_quote"><div class="">And maybe a couple of more sentences about using Terminal and logging in as root etc. could be added here.<br class=""></div></div></blockquote></div><div class=""><br class=""></div><div class="">If someone does not know about Terminal and becoming root, they should consult someone who does.</div><br class=""><div>
<span style="border-collapse: separate; border-spacing: 0px 0px; color: rgb(0, 0, 0); font-family: Lucida Grande; font-size: 12px; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: normal; text-align: auto; -khtml-text-decorations-in-effect: none; text-indent: 0px; -apple-text-size-adjust: auto; text-transform: none; orphans: 2; white-space: normal; widows: 2; word-spacing: 0px; " class="Apple-style-span"><div style="font-family: Helvetica; " class=""><span style="font-family: Helvetica; " class="Apple-style-span">- Bert -</span></div><br class="Apple-interchange-newline"></span>
</div>
<br class=""></body></html>